#!/bin/sh
SRC=$USERDATAPATH
DEST=/mnt/mtdblock
DEST2=/mnt/mtdblock/drivers

ifconfig eth0 192.168.12.116 up

ALGOLIB=/mnt/mtdblock/lib/libzkfp.so.3.5.1

ln -s $DEST/lib/libzkfp.so.3.5.1 /lib/libzkfp.so.3 -f             
ln -s $DEST/lib/libzkfp.so.3.5.1 /lib/libzkfp.so -f               
ln -s $DEST/lib/libzkfp.so.4.0.0 /lib/libzkfp.so.10 -f            
ln -s $DEST/lib/libpthread.so /lib/libpthread.so.0 -f             
ln -s $DEST/lib/libfpsensor.so /lib/libfpsensor.so -f             
ln -s $DEST/lib/libdlcl.so.1 /lib/libdlcl.so -f                   
ln -s $DEST/lib/libstdc++.so.6.0.8 /lib/libstdc++.so.6 -f         
ln -s /mnt/mtdblock/lib/libgcc_s.so.1 /lib/libgcc_s.so.1 -f       
ln -s $DEST/lib/libttf.so /lib/libttf.so -f

tar -zxvf /mnt/mtdblock/libwebserver.tgz -C /lib 

if [ -f $DEST/p aywav ]; then
     cd $DEST && chmod u+x $DEST/playwav && $DEST/playwav E_8.wav;
fi

if [ -f $DEST/drivers/hv7131.ko ]; then
     insmod $DEST/drivers/hv7131.ko
fi

if [ -f $DEST2/cim.ko ]; then
        insmod $DEST2/cim.ko 
fi

if [ -f $DEST2/dummy.ko ]; then
        insmod $DEST2/dummy.ko 
fi

if [ ! -c /dev/ttygs ]; then
	mknod /dev/ttygs c 127 0
fi

if [ -f $DEST2/nand_drv.ko ]; then
        insmod $DEST2/nand_drv.ko 
fi

if [ -f $DEST2/jz4730_udc.ko ]; then
        insmod $DEST2/jz4730_udc.ko
fi

if [ -f $DEST2/g_serial.ko ]; then
        insmod $DEST2/g_serial.ko use_acm=1
fi

if [ -f /mnt/mtdblock/rt73.ko ]; then
        cd /mnt/mtdblock/drivers && rm jz4730_udc.ko g_serial.ko -f && sync
fi

if [ -f /mnt/mtdblock/rt73.ko ]; then
        insmod /mnt/mtdblock/rt73.ko
fi

rm -rf /etc/rt73sta.dat

if [ -f $DEST/usbpower.zem500 ]; then
	chmod u+x $DEST/usbpower.zem500 && $DEST/usbpower.zem500
fi

if [ -f $DEST2/ledbeep.ko ]; then
	insmod $DEST2/ledbeep.ko
fi

if [ ! -c /dev/ledbeep ]; then
	mknod /dev/ledbeep c 244 0
fi

if [ -f $DEST/main.gz ]; then
	cd $DEST && rm main -f && gunzip main.gz && sync
fi


if [ -f $DEST/main ]; then
	 chmod u+x $DEST/main && cd $DEST && $DEST/main &
fi

if [ -f $DEST/inbiocomm ];then
	chmod u+x $DEST/inbiocomm && cd $DEST && $DEST/inbiocomm&
fi

if [ -f $DEST/wdt.gz ]; then
        cd $DEST && rm wdt && gunzip wdt.gz && sync
fi

if [ -f $DEST/data/wdt ]; then
	cd $DEST/data && chmod u+x $DEST/data/wdt && $DEST/data/wdt -p 5 -t 3600 -m "$DEST/main"
fi
